package com.javaseleniumtemplate.flows;

import com.javaseleniumtemplate.pages.ConsumoPorServicoPage;

public class ConsumoPorServicoFlows {
    ConsumoPorServicoPage consumoporservicopage;

    public ConsumoPorServicoFlows() {
        consumoporservicopage = new ConsumoPorServicoPage();

    }

    public void navegarConsumoPorServico() {
        consumoporservicopage.navegaTelaConsumoPorServico();

    }

    public void consumoFixo(String CDFILIAL, String CDSERVFILI) {
        consumoporservicopage.adicionaConsumoFixo(CDFILIAL, CDSERVFILI);
    }

    public void adicionarProduto(String CDPRODUTO, String QTDPRODUTO,String CDPRODUTO_1, String QTDPRODUTO_1) {
        consumoporservicopage.adicionaProduto(CDPRODUTO, QTDPRODUTO, CDPRODUTO_1,QTDPRODUTO);
    }

    public void adicionarNovoProduto(String CDPRODUTO, String QTDPRODUTO){
        consumoporservicopage.adicionaNovoProduto(CDPRODUTO,QTDPRODUTO);
    }

    public String retornaMensagem() {
     return consumoporservicopage.confirmaCadastro();
    }

    public String retornaMensagem_2() {
        return consumoporservicopage.confirmaCadastro_2();
    }

    public void cadastraExcecao(String CDPRODUTO, String QTDPRODUTO){
        consumoporservicopage.adicionaExcecao(CDPRODUTO,QTDPRODUTO);
    }

    public void editaExcecao(){
        consumoporservicopage.edidaConsumodiaExcecao();
    }

    public void apagaProdutoExcecao(){
        consumoporservicopage.apagaExcecao();
    }

    public String mensagemExclusao(){
        return consumoporservicopage.validaExclusao();
    }

    public void cadastraDiaSemConsumo(){
        consumoporservicopage.diaSemConsumo();
    }

    public void edicaoDiaSemConsumo(){
        consumoporservicopage.edicaoDiaSemConsumo();
    }

    public void apagaDiaSemConsumo(){
        consumoporservicopage.apagaDiaSemConsumo();
    }

    public void alterarConsumoDia(){
        consumoporservicopage.alteraApagaConsumoDia();
    }

    public void apagarConsumo(){
        consumoporservicopage.excluirProdutos();
    }

    public void adicionaConsumoPerCapita(){
        consumoporservicopage.adicionaConsumoPerCapita();
    }

    public void insereProdutoPerCapita(String CDPRODUTO, String QTDPRODUTO, String CDPRODUTO_1, String QTDPRODUTO_1){
        consumoporservicopage.adicionaProdutoPerCapita(CDPRODUTO,QTDPRODUTO,CDPRODUTO_1,QTDPRODUTO_1);
    }

    public void informaExcecaoPerCapita(String CDPRODUTO, String QTDPRODUTO, String QTDATUAL){
        consumoporservicopage.execaoPerCapita(CDPRODUTO,QTDPRODUTO,QTDATUAL);
    }

    public void alteracaoExclusaoPerCapita(String QTDPRODUTO, String QTDATUAL){
        consumoporservicopage.alterarExcluirProdutoPerCapitaExcecao(QTDPRODUTO,QTDATUAL);
    }

    public void alteraConsumoPerCapita(){
        consumoporservicopage.alteraConsumoPerCapita();
    }

    public void importaConsumo(String CDFILIAL, String CDSERVICO){
        consumoporservicopage.importarConsumo(CDFILIAL, CDSERVICO);
        consumoporservicopage.sobreporConsumo();
    }

    public void exportarConsumo(){
        consumoporservicopage.exportaConsumo();
    }

    public void substituirProduto(){
        consumoporservicopage.substituiProduto();
    }

    public void importarExcecao(){
        consumoporservicopage.importaExcecao();
    }

    public void exportarExcecoesConsumo(){
        consumoporservicopage.exportarExcecao();
    }

    public void trocarProdutoExcecao(String CDPRODORIG, String CDPRODNOVO){
        consumoporservicopage.substituiProdutoExcecao(CDPRODORIG,CDPRODNOVO);
    }


}
